<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\PersonBundle\Form;

use Chill\PersonBundle\Entity\AccompanyingPeriod;
use Chill\PersonBundle\Form\Type\PickLinkedAccompanyingPeriodWorkType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\HiddenType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class FindAccompanyingPeriodWorkType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('acpw', PickLinkedAccompanyingPeriodWorkType::class, [
                'label' => 'Accompanying period work',
                'multiple' => false,
                'accompanyingPeriod' => $options['accompanyingPeriod'],
            ])
            ->add('direction', HiddenType::class, [
                'data' => 'starting',
            ]);
    }

    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver
            ->setRequired('accompanyingPeriod')
            ->setAllowedTypes('accompanyingPeriod', AccompanyingPeriod::class);
    }
}
